package com.idea.invoice.util;

import cn.hutool.http.HttpUtil;
import cn.hutool.json.JSONUtil;
import com.idea.invoice.model.InvoiceManage;
import lombok.extern.slf4j.Slf4j;

import java.util.HashMap;

@Slf4j
public class InvoiceUtil {

    public static final String prefix = "http://10.1.2.17:8999/";

    public static void sendInvoice(InvoiceManage record){

        String url = "nccloud/api/wxyy/arap/gatheringbill/saveandcommit";
        HashMap<String, Object> paramMap = new HashMap<>();
        log.info("请求参数——:{}", JSONUtil.toJsonStr(paramMap));
        String result = HttpUtil.post(prefix + url, JSONUtil.toJsonStr(paramMap));
        log.info("发送消息接口返回——:{}",result);

    }




}
